%define major           1
%define libname         %mklibname xeus-zmq %{major}
%define develname       %mklibname xeus-zmq -d

Name:           xeus-zmq
Version:        1.0.2
Release:        %mkrel 2
Summary:        ZeroMQ-based middleware for xeus
Group:          System/Libraries

License:        BSD
URL:            https://github.com/jupyter-xeus/xeus-zmq
Source0:        https://github.com/jupyter-xeus/xeus-zmq/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  cmake(cppzmq)
BuildRequires:  cmake(nlohmann_json)
BuildRequires:  cmake(xeus)
BuildRequires:  cmake(xtl)
BuildRequires:  gtest-devel
BuildRequires:  openssl-devel
BuildRequires:  pkgconfig(libzmq)
# BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)

%description
xeus is a library meant to facilitate the implementation of kernels for
Jupyter. xeus-zmq provides various implementations of the xserver API from xeus,
based on the ZeroMQ library. These implementations all conform to the Jupyter
Kernel Protocol specification.

%package -n %{libname}
Summary:        %{summary}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
xeus is a library meant to facilitate the implementation of kernels for
Jupyter. xeus-zmq provides various implementations of the xserver API from xeus,
based on the ZeroMQ library. These implementations all conform to the Jupyter
Kernel Protocol specification.

%package -n %{develname}
Summary:        %{summary}
Requires:       %{libname} = %{version}-%{release}
Requires:       cppzmq-devel
Provides:       %{name}-devel = %{version}-%{release}
Group:          System/Libraries

%description -n %{develname}
Development files for %{name} library.


%prep
%autosetup -p1

%build
%cmake -DCMAKE_BUILD_TYPE=Release
%cmake_build


%install
%cmake_install



%check
cd build
ctest -V


%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/libxeus-zmq.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/xeus-zmq/
%{_libdir}/cmake/xeus-zmq/
%{_libdir}/libxeus-zmq.so
%{_libdir}/libxeus-zmq.a



%changelog
* Thu Dec 08 2022 papoteur <papoteur> 1.0.2-2.mga9
+ Revision: 1919371
- add static library in devel pacakge

* Thu Dec 08 2022 papoteur <papoteur> 1.0.2-1.mga9
+ Revision: 1919354
- imported package xeus-zmq

